* {
  padding: 0;
  margin: 0;
}

.new-player {
  height: 80vh;
  width: 100%;
  overflow: hidden;
  font-size: 10px;
  position: relative;
  /* position: absolute; */
  /* top: 0;
  left: 0; */
  background: #fff;
  z-index: 99;
  outline: 2px solid #2166c4;
  touch-action: none;
}
.stop-scroll{
  overflow-x: hidden;
}
.mob-full-screen{
  display: none;
}
@media (max-width: 768px) {
  .new-player {
    opacity: 0;
    left: -10000px;
    position: absolute;
  }
}
@media (max-width: 768px) {
  .mob-full-screen{
    display: inline-block;
  }
}

.full-screen {
  top: 0;
  left: 0;
  position: fixed;
  height: 100%;
  width: 100%;
  display: block!important;
  opacity: 1;
}

.pdfViewer .page{
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
  -moz-box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
  box-shadow: 0px 0px 5px 0px rgba(0,0,0,0.75);
  background: none!important;
  border: none!important;
  margin-bottom: 20px;
}

.player-header {
  color: #fff;
  font-size: 23px;
  font-style: italic;
  font-weight: normal;
  overflow: hidden;
  padding: 5px;
  text-align: center;
  text-overflow: ellipsis;
  white-space: nowrap;
  background: #2066c4;
}
#title {
  color: #fff;
  font-size: 26px;
}
@media (max-width: 768px) {
  #title {
    font-size: 14px;
    margin: 0;
  }
}
/* body {
  font-family: sans-serif;
  font-size: 10px;
  height: 100%;
  width: 100%;
  overflow: hidden;
  padding-bottom: 5rem;
} */

section {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  overflow: hidden;
  font-size: 2rem;
}

.player-toolbar {
  background-image: url(images/toolbar_background.png);
  height: 2.4rem;
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  z-index: 1;
  box-shadow: 0 -0.2rem 0.5rem rgba(50, 50, 50, 0.75);
}

.toolbarButton {
  display: block;
  padding: 0;
  margin: 0;
  border-width: 0;
  background-position: center center;
  background-repeat: no-repeat;
  background-color: rgba(0, 0, 0, 0);
}

.toolbarButton.pageUp {
  position: absolute;
  width: 18%;
  height: 100%;
  left: 0;
  background-image: url(images/icon_previous_page.png);
  background-size: 1.6rem;
}

.toolbarButton.pageDown {
  position: absolute;
  width: 18%;
  height: 100%;
  left: 18%;
  background-image: url(images/icon_next_page.png);
  background-size: 1.6rem;
}

#pageNumber {
  -moz-appearance: textfield; /* hides the spinner in moz */
  position: absolute;
  width: 14%;
  height: 100%;
  left: 36%;
  text-align: center;
  border: 0;
  background-color: rgba(0, 0, 0, 0);
  font-size: 1.2rem;
  color: rgba(255, 255, 255, 1);
  background-image: url(images/div_line_left.png),
    url(images/div_line_right.png);
  background-repeat: no-repeat;
  background-position: left, right;
  background-size: 0.2rem, 0.2rem;
}

.toolbarButton.zoomOut {
  position: absolute;
  width: 18%;
  height: 100%;
  left: 64%;
  background-image: url(images/icon_zoom_out.png);
  background-size: 2rem;
}

.toolbarButton.zoomIn {
  position: absolute;
  width: 18%;
  height: 100%;
  left: 82%;
  background-image: url(images/icon_zoom_in.png);
  background-size: 2rem;
}

.toolbarButton[disabled] {
  opacity: 0.3;
}

.hidden {
  display: none;
}
[hidden] {
  display: none !important;
}

#viewerContainer {
  position: absolute;
  overflow: auto;
  width: 100%;
  top: 4rem;
  bottom: 4rem;
  left: 0;
  right: 0;
}

canvas {
  margin: auto;
  display: block;
}

.pdfViewer .page .loadingIcon {
  width: 2.9rem;
  height: 2.9rem;
  background: url("images/spinner.png") no-repeat left top / 38rem;
  border: medium none;
  animation: 1s steps(10, end) 0s normal none infinite moveDefault;
  display: block;
  position: absolute;
  top: calc((100% - 2.9rem) / 2);
  left: calc((100% - 2.9rem) / 2);
}

@keyframes moveDefault {
  from {
    background-position: 0 top;
  }

  to {
    background-position: -39rem top;
  }
}

#loadingBar {
  position: relative;
  height: 0.6rem;
  background-color: #2166c4;
  border-bottom: 1px solid #2166c4;
  margin-top: 5rem;
}

#loadingBar .progress {
  position: absolute;
  left: 0;
  width: 0;
  height: 100%;
  background-color: rgba(221, 221, 221, 1);
  overflow: hidden;
  transition: width 200ms;
}

@keyframes progressIndeterminate {
  0% {
    left: 0;
  }
  50% {
    left: 100%;
  }
  100% {
    left: 100%;
  }
}

#loadingBar .progress.indeterminate {
  background-color: rgba(153, 153, 153, 1);
  transition: none;
}

#loadingBar .indeterminate .glimmer {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 5rem;
  background-image: linear-gradient(
    to right,
    rgba(153, 153, 153, 1) 0%,
    rgba(255, 255, 255, 1) 50%,
    rgba(153, 153, 153, 1) 100%
  );
  background-size: 100% 100%;
  background-repeat: no-repeat;
  animation: progressIndeterminate 2s linear infinite;
}

#errorWrapper {
  background: none repeat scroll 0 0 rgba(255, 85, 85, 1);
  color: rgba(255, 255, 255, 1);
  left: 0;
  position: absolute;
  right: 0;
  top: 3.2rem;
  z-index: 1000;
  padding: 0.3rem;
  font-size: 0.8em;
}

#errorMessageLeft {
  float: left;
}

#errorMessageRight {
  float: right;
}

#errorMoreInfo {
  background-color: rgba(255, 255, 255, 1);
  color: rgba(0, 0, 0, 1);
  padding: 0.3rem;
  margin: 0.3rem;
  width: 98%;
}
#page_count{
  justify-content: center;
  position: absolute;
  width: 14%;
  height: 100%;
  right: 36%;
  font-size: 1.2rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  text-align: center;
  color: #8e8e8e;
}